Bug 120449 - FC2 release notes -- LVM2 updates
Summary: FC2 release notes -- LVM2 updates
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ed Bailey
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: fc-relnotes-blocker
TreeView+ depends on / blocked
 
Reported: 2004-04-08 20:42 UTC by Alasdair Kergon
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-18 20:52:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alasdair Kergon 2004-04-08 20:42:31 UTC
The full set of LVM2 commands now gets installed.
It is no longer necessary to prefix each command with 'lvm' like 'lvm 
vgchange -ay'.

The deprecated LVM1 commands (for 2.4 kernels only) have been renamed
to end in '.lvm1' e.g. '/sbin/vgchange.lvm1 -ay'.

The new LVM2 commands (e.g. '/sbin/vgchange -ay') will detect if
you're running a 2.4 kernel and transparently invoke the old LVM1
commands if necessary.

For more details of the new features and bug fixes in LVM2 please
refer to WHATS_NEW in the directory for the lvm2 package in
/usr/share/doc.

Comment 1 Ed Bailey 2004-04-13 21:09:53 UTC
Thanks for the feedback -- added...

Comment 2 Alasdair Kergon 2004-04-16 20:00:32 UTC
There's been another change - we've moved the new lvm2 commands from
/sbin to /usr/sbin.  Suggested replacement bullet points:

      The full set of LVM2 commands is now installed in /usr/sbin.  In
boot environments where /usr is not available you should prefix each
command with "/sbin/lvm.static" (/sbin/lvm.static vgchange -ay, for
example).

      The new LVM2 commands (such as both /usr/sbin/vgchange -ay and
/sbin/lvm.static vgchange -ay) detect if you are running a 2.4 kernel
and transparently invoke the old LVM1 commands if appropriate. The 
LVM1 commands have been renamed to end with ".lvm1" (for example
/sbin/vgchange.lvm1 -ay).  LVM1 commands work only with 2.4 kernels,
not 2.6 ones.


Comment 3 Ed Bailey 2004-04-17 19:07:23 UTC
Alasdair -- thanks for the feedback!  I changed things around a bit;
how does this sound?

    * The full set of LVM2 commands is now installed in /usr/sbin/. In
boot environments where /usr/ is not available, it is necessary to
prefix each command with /sbin/lvm.static (/sbin/lvm.static vgchange
-ay, for example).

      In environments where /usr/ is available, it is no longer
necessary to prefix each command with lvm (/usr/sbin/lvm vgchange -ay
becomes /usr/sbin/vgchange -ay, for example).

    * The new LVM2 commands (such as /usr/sbin/vgchange -ay and
/sbin/lvm.static vgchange -ay) detect if you are running a 2.4 kernel,
and transparently invoke the old LVM1 commands if appropriate. The
LVM1 commands have been renamed to end with ".lvm1" (for example,
/sbin/vgchange.lvm1 -ay).

      Note

      LVM1 commands work only with 2.4 kernels. It is not possible to
use LVM1 commands while running a 2.6 kernel.

Refer to /usr/share/doc/lvm2*/WHATS_NEW for more information on LVM2.


Comment 4 Alasdair Kergon 2004-04-18 17:59:53 UTC
Fine by me.

Comment 5 Ed Bailey 2004-04-18 20:52:25 UTC
Super -- thanks!


Note You need to log in before you can comment on or make changes to this bug.